Qt 5.6 | Qt Core | C++ Classes | QByteArray

Qt 5.6.2 Reference Documentation

# Obsolete Members for QByteArray

The following members of class QByteArray are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | operator const char *() const
`(obsolete)` | operator const void *() const

## Member Function Documentation

### QByteArray::operator const char *() const

Returns a pointer to the data stored in the byte array. The pointer can be used to access the bytes that compose the array. The data is '\0'-terminated. The pointer remains valid as long as the array isn't reallocated or destroyed.

This operator is mostly useful to pass a byte array to a function that accepts a `const char *`.

You can disable this operator by defining `QT_NO_CAST_FROM_BYTEARRAY` when you compile your applications.

Note: A QByteArray can store any byte values including '\0's, but most functions that take `char *` arguments assume that the data ends at the first '\0' they encounter.

See also constData().

### QByteArray::operator const void *() const

Returns a pointer to the data stored in the byte array. The pointer can be used to access the bytes that compose the array. The data is '\0'-terminated. The pointer remains valid as long as the array isn't reallocated or destroyed.

This operator is mostly useful to pass a byte array to a function that accepts a `const char *`.

You can disable this operator by defining `QT_NO_CAST_FROM_BYTEARRAY` when you compile your applications.

Note: A QByteArray can store any byte values including '\0's, but most functions that take `char *` arguments assume that the data ends at the first '\0' they encounter.

See also constData().